<?php

namespace App\Modules\ModuleNotification\Application;

use App\Modules\ModuleNotification\Domain\IdModuleNotification;
use App\Modules\ModuleNotification\Domain\ModuleNotificationRepository;

class ModuleNotificationIndexer
{

    private ModuleNotificationRepository $repository;

    public function __construct(ModuleNotificationRepository $repository)
    {
        $this->repository = $repository;
    }

    public function __invoke(IdModuleNotification $idModuleNotification)
    {
        return $this->repository->index($idModuleNotification);
    }
}
